package com.enterprise.manage.common.constant.emuns;

import java.util.ArrayList;
import java.util.List;

/**
 * @author : wangqingli
 * @Description: 简要功能描述
 * @date 2023-12-01-17:41
 * @modify by：wangqingli
 */
public enum InstitutionNature {
    /**
     * 市属
     */
    CITY_NATURE("市属"),
    /**
     * 区县属
     */
    AREA_NATURE("区县属"),
    ;

    private String label;

    InstitutionNature(String label) {
        this.label = label;

    }

    public String getLabel() {
        return label;
    }

    /**
     * 请求返回的Enum集合数据
     *
     * @return
     */
    public static List<String> getLabelEnumList() {
        List<String> list = new ArrayList<String>();
        list.add(InstitutionNature.CITY_NATURE.getLabel());
        list.add(InstitutionNature.AREA_NATURE.getLabel());
        return list;
    }
}
